package com.huimv.cattle.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.cattle.pojo.ProductionCapacity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@Repository
public interface ProductionCapacityMapper extends BaseMapper<ProductionCapacity> {

    void deleteAll(@Param("farmCode") String farmCode);

    List<ProductionCapacity> getProductionCapacityScreen(String[] farmCode,@Param(Constants.WRAPPER) QueryWrapper<ProductionCapacity> queryWrapper);
}
