package com.huimv.cattle.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.cattle.pojo.VaccineDelivery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zn
 * @since 2022-12-15
 */
@Repository
public interface VaccineDeliveryMapper extends BaseMapper<VaccineDelivery> {

    List<VaccineDelivery> getVaccineDeliveryScreen(@Param(Constants.WRAPPER) QueryWrapper<VaccineDelivery> queryWrapper);
}
